com.impinj.octane

## Class MarginReadMask

- java.lang.Object
- - com.impinj.octane.MarginReadMask

-     public class MarginReadMask
      extends java.lang.Object

  Used to specify the mask to margin read

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarginReadMask()` Constructor for MarginReadMask initializes empty defaults.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitLength()`
    `short[]` | `getMask()`
    `void` | `setBitLength(int bitLength)` Set the bit length of the margin mask
    `void` | `setMaskFromBitString(java.lang.String str)` Sets the margin read mask from the specified bit string.
    `void` | `setMaskFromHexString(java.lang.String str)` Sets the margin read mask from the specified hex string.
    `java.lang.String` | `toHexString()` Converts the margin read mask into a hexadecimal string.
    `java.lang.String` | `toHexWordString()` Converts the margin read mask into a hexadecimal string with spaces between words.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarginReadMask

          public MarginReadMask()

      Constructor for MarginReadMask initializes empty defaults.

  - ### Method Detail

    - #### getMask

          public short[] getMask()

      Returns:
        The memory value to verify on the tag

    - #### getBitLength

          public int getBitLength()

      Returns:
        The bit length of the mask to check

    - #### setBitLength

          public void setBitLength(int bitLength)

      Set the bit length of the margin mask
      Parameters:
        `bitLength` - The bit length of the margin mask to check

    - #### setMaskFromHexString

          public void setMaskFromHexString(java.lang.String str)
                                    throws OctaneSdkException

      Sets the margin read mask from the specified hex string.
      Parameters:
        `str` - The hex string we're setting the mask with
      Throws:
        `OctaneSdkException` - if the input string is invalid.

    - #### setMaskFromBitString

          public void setMaskFromBitString(java.lang.String str)
                                    throws OctaneSdkException

      Sets the margin read mask from the specified bit string.
      Parameters:
        `str` - The bit string to load into the Margin Read Mask
      Throws:
        `OctaneSdkException` - if the input string is invalid.

    - #### toHexWordString

          public java.lang.String toHexWordString()

      Converts the margin read mask into a hexadecimal string with spaces between words.
      Returns:
        The mask as a hex string

    - #### toHexString

          public java.lang.String toHexString()

      Converts the margin read mask into a hexadecimal string.
      Returns:
        The mask as a hex string